Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
types
/
{operationType}
/
execute
Execute prepared operation
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/execute \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --data '
{
  "preparedOrderId": "<string>",
  "confirmationCode": "<string>",
  "authenticationCode": "<string>",
  "executionMetadata": {}
}
'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"97e7ff29-15f3-49ef-9681-3bbfcce4f6cd"

X-User-ID
string

Authenticated user identifier

Example:

"87b3af37-4ac1-402b-a0ea-53cfdc695e02"

Path Parameters

accountId
string
required
operationType
string
required

Body

application/json
preparedOrderId
string
confirmationCode
string
authenticationCode
string
executionMetadata
object

Response

200

OK